path: /build/build/nvidia-550-kernel-modules-kernel-6.1-550.107.02+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-550/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-550.107.02 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-550.107.02
  - |
    eval 'rm -rf /nvidia-550-kernel-modules || true' && mkdir /nvidia-550-kernel-modules && \
    luet-portage --dir /nvidia-550-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-550-kernel-modules/lib/modules/nvidia/550.107.02/6.1.109-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:11646d04a5e4cd9387994be44019e5e7c5f5e8fac1cbcee1b934f80222b8ea6a
  package:
    name: nvidia-550-kernel-modules
    version: 550.107.02+1
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-11 11:31:46.007850611 +0000 UTC m=+761.629387455
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.109
      original.package.slot: "550"
      original.package.version: 550.107.02
    treedir: /build/packages
  package_dir: /nvidia-550-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c6817571c1850c12b7008c37f494784374066eb50ef70a954663e32909b353ed
compressiontype: zstd
files:
- lib/modules/nvidia/550.107.02/6.1.109-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/550.107.02/6.1.109-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/550.107.02/6.1.109-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/550.107.02/6.1.109-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-550-kernel-modules
  version: 550.107.02+1
  category: kernel-6.1
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.109
    original.package.slot: "550"
    original.package.version: 550.107.02
